### Function

# Camel HeaderParam list_decode

#### Declaration [src]

    _camel_header_param*
    camel_header_param_list_decode (
      const gchar* in
    )

#### Description

No description available.

#### Parameters

`in`

  Type: `const gchar*`

  A header param value to decode.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `_camel_header_param*`

Decode list of parameters. Free with `camel_header_param_list_free()` when done with it.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.